xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Custom Query (2683 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (106 - 108 of 2683)

Ticket Resolution Summary Owner Reporter
#143 fixed keyboard sync toggle option in tray menu - and maybe self-tuning Antoine Martin Antoine Martin
Description

As per #142: this would make it more obvious to users that there is an option to help with keyboard and latency issues, and also make it easier for us to provide self-tuning.

#144 fixed "AssertionError" in free_image when resizing a window using x264 encoding ahuillet ahuillet
Description

This is easy to reproduce:

Error while decoding frame
 paint_with_video_decoder: ouch, decompression error 2
Unhandled error while processing packet from peer
(..)
File "/usr/lib64/python2.7/site-packages/xpra/window_backing.py", line 104, in paint_with_video_decoder
 decoder.free_image()
File "codec.pyx", line 87, in xpra.x264.codec.Decoder.free_image (xpra/x264/codec.c:1397)
AssertionError

It happens every time (or almost?) one resizes a window. This looks like a race condition - as if the client was resetting its decoding context *after* trying to play one wrong frame?

#145 fixed xpra 3.2.0 fails to build on centos 6.2 Antoine Martin nackstein
Description

on centos 6.2 xpra 0.3.2 fails to build:

[vortex@lizard xpra-0.3.2.orig]$ ./do-build
....[snip]....
Traceback (most recent call last):
  File "setup.py", line 256, in <module>
    **pkgconfig("vpx", "libswscale", "libavcodec")
  File "setup.py", line 164, in pkgconfig
    raise Exception("call to pkg-config ('%s') failed" % (cmd,))
Exception: call to pkg-config ('['pkg-config', '--libs', '--cflags', 'vpx libswscale libavcodec']') failed

indeed:

[vortex@lizard ~]$ pkg-config --libs --cflags vpx libswscale libavcodec
Package vpx was not found in the pkg-config search path.
Perhaps you should add the directory containing `vpx.pc'
to the PKG_CONFIG_PATH environment variable
No package 'vpx' found

the solution is to search for "libvpx" and not "vpx":
[vortex@lizard ~]$ pkg-config --libs --cflags libvpx libswscale libavcodec
-I/usr/include/vpx/  -lvpx -lswscale -lavcodec  

i patched setup.py to fix this:

--- xpra-0.3.2.orig/setup.py	2012-06-03 20:43:31.000000000 +0200
+++ xpra-0.3.2/setup.py	2012-06-14 13:18:18.678613676 +0200
@@ -253,7 +253,7 @@
     packages.append("xpra.vpx")
     cython_add(Extension("xpra.vpx.codec",
                 ["xpra/vpx/codec.pyx", "xpra/vpx/vpxlib.c"],
-                **pkgconfig("vpx", "libswscale", "libavcodec")
+                **pkgconfig("libvpx", "libswscale", "libavcodec")
                 ))
 
 
Note: See TracQuery for help on using queries.